next_fli_frame(3)

NAME
next_fli_frame - Reads the next frame of the current animation file. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int next_fli_frame(int loop);

DESCRIPTION
Reads the next frame of the current animation file. If `loop' is not zero, the player will cycle when it reaches the end of the file, otherwise it will return FLI_EOF. The frame is read into the global variables fli_bitmap and fli_palette. Example:
   while (next_fli_frame(0) == FLI_OK) {
      /* Do stuff, like play audio stream
         or check keys to skip animation. */
      /* Rest some time until next frame... */
   }

RETURN VALUE
Returns FLI_OK on success, FLI_ERROR or FLI_NOT_OPEN on error, and FLI_EOF on reaching the end of the file.

SEE ALSO
open_fli(3), fli_bitmap(3), fli_palette(3), fli_timer(3), fli_frame(3)